> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazonchangerdsinstanceclassparameters-object.md).

# AmazonChangeRdsInstanceClassParameters Object

## Description

Parameters for the Amazon Change RDS Instance Class action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### dbInstanceId

Instance ID of the RDS instance which will be changed. Required when `instanceIdentificationMethod` is `by-instance-id`.

Type: `string`

Required: Conditional

### dbInstanceClass

New instance class for the RDS instance.

Type: `string`

Required: No

### instanceIdentificationMethod

Method of identifying the RDS instance.

Type: `string`

Valid Values:

* `by-instance-id`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### revertTimeInSeconds

Time (in seconds) after which the RDS instance will be reverted to its original settings.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "instanceIdentificationMethod": "by-instance-id",
    "dbInstanceId": "my-rds-instance",

    "dbInstanceClass": "db.m4.xlarge",

    "revertTimeInSeconds": 43200
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonchangerdsinstanceclassparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
